#!/bin/sh

# This script is expected to be run from the "build_mozilla" directory inside
# llmozlib, so the mozilla source ends up in build_mozilla/mozilla/.

if [ ! -e mozilla ]; then
  # Store password "anonymous" to avoid the cvs prompt
  MASK=`umask`; umask 077
  grep -vs ":pserver:anonymous@cvs-mirror.mozilla.org" $HOME/.cvspass \
      > $HOME/.cvspass.tmp
  echo "/1 :pserver:anonymous@cvs-mirror.mozilla.org:2401/cvsroot Ay=0=a%0bZ" \
     >> $HOME/.cvspass.tmp
  mv -f $HOME/.cvspass.tmp $HOME/.cvspass
  umask $MASK

  # check out the mozilla source
  export CVSROOT=':pserver:anonymous@cvs-mirror.mozilla.org:/cvsroot'
  cvs -q checkout -r FIREFOX_1_5_0_12_RELEASE mozilla/client.mk
  (cd mozilla && gmake -f client.mk checkout MOZ_CO_PROJECT=xulrunner)
fi
