#!/bin/sh

# This script is expected to be run from the "build_mozilla" directory inside
# llmozlib, after freebsd-checkout.sh is run and before freebsd-build.sh is run.

if [ ! -e mozilla/.mozconfig ]; then
  # install our special .mozconfig file
  cp freebsd-libxul-bits/mozconfig mozilla/.mozconfig

  # apply a patch to the mozilla source so that it doesn't try to use the OS 
  # versions of scrollbars, combo boxes, etc.
  cat freebsd-libxul-bits/linden_updates.patch | (cd mozilla && patch -lp0)
fi
